package fr.uha.gabalier.view;

import fr.uha.gabalier.controller.ImageController;

import java.awt.*;
import java.util.List;

public class ImageView extends View<List<Image>> {

    public ImageView(List<Image> model) {
        super(model);
        this.setPreferredSize(new Dimension(Preview.VIEW_WIDTH, Preview.VIEW_HEIGHT));
    }

    @Override
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        final List<Image> model = this.getModel();
        if (model == null) return;
        if (model.size() == 0) return;

        final int index = ((ImageController) this.getController()).getIndex();
        g.drawImage(model.get(index), 10, 10, this);
    }
}
